﻿
/*---  SITE COLORS

---*/


/* INPUT, TEXTAREA, SUBMIT */
input
{
    margin: 0;
    padding: 0;
}
input[type=text], input[type=password], textarea
{
    border: 1px solid #007947;
    padding: 5px;
    font-size: 13px;
    color: #333;
    /*width: 210px;*/
}
input[type=text], input[type=password], textarea, select
{
    background: #ffffff;
    background: -moz-linear-gradient(top, #ffffff 0%, #f4f4f4 100%);
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,#ffffff), color-stop(100%,#f4f4f4));
    background: -webkit-linear-gradient(top, #ffffff 0%,#f4f4f4 100%);
    background: -o-linear-gradient(top, #ffffff 0%,#f4f4f4 100%);
    background: -ms-linear-gradient(top, #ffffff 0%,#f4f4f4 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#f4f4f4',GradientType=0 );
    background: linear-gradient(top, #ffffff 0%,#f4f4f4 100%);
    -webkit-transition: all .3s ease;
    -moz-transition: all .3s ease;
    -o-transition: all .3s ease;
    transition: all .3s ease;
    outline: 0 none !important;
}
input[type=text].rounded, input[type=password].rounded, textarea.rounded, select.rounded, input[type=submit].rounded, button.rounded
{
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
}
input[type=text]:hover, input[type=password]:hover, textarea:hover
{
    border: 1px solid #00BCF2;
}
input[type=text]:focus, input[type=password]:focus, textarea:focus, select:focus
{
    -moz-box-shadow: 0 0 3px #00BCF2;
    -webkit-box-shadow: 0 0 3px #00BCF2;
    box-shadow: 0 0 3px #00BCF2;
    border: 1px solid #00BCF2;
    background: #dcdcdc;
}
input[type=submit],input[type="button"], button
{
    background: #006182;
    padding: 4px 14px;
    /*min-width:75px;*/
    color: #fff;
    /*text-shadow: 0 1px 0 rgba(0,0,0,0.5);*/
    text-transform: uppercase;
    cursor: pointer;
    border: 1px solid #444;
    -webkit-box-shadow: 0 2px 6px rgba(255, 255, 255, 0.5) inset;
    -moz-box-shadow: 0 2px 6px rgba(255, 255, 255, 0.5) inset;
    box-shadow: 0 2px 6px rgba(255, 255, 255, 0.5) inset;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
}
input[type=submit]:hover,input[type="button"]:hover, button:hover
{
    -webkit-box-shadow: 0 0 3px rgba(0, 0, 0, 0.4), 0 -2px 6px rgba(255, 255, 255, 0.5) inset;
    -moz-box-shadow: 0 0 3px rgba(0, 0, 0, 0.4), 0 -2px 6px rgba(255, 255, 255, 0.5) inset;
    box-shadow: 0 0 3px rgba(0, 0, 0, 0.4), 0 -2px 6px rgba(255, 255, 255, 0.5) inset;
}
input[type=submit]:active,input[type="button"]:active, button:active
{
    -webkit-box-shadow: 0 2px 6px rgba(0, 0, 0, 0.5) inset;
    -moz-box-shadow: 0 2px 6px rgba(0, 0, 0, 0.5) inset;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.5) inset;
}
/* Secondary buttons like Cancel that are not the main buttons like Save or OK 
input[type=submit].secondary,input[type=button].secondary,button.secondary
{
    background: #9C9A9C;
    }
input[type=submit].secondary:hover,input[type=button].secondary:hover,button.secondary:hover
{
    background: #0873BB;
    }
*/
/* you can activate the rounded fields only setting the .rounded-fields class to the parent form */
.rounded-fields input[type=text], .rounded-fields input[type=password], .rounded-fields textarea, .rounded-fields select, .rounded-fields input[type=submit], .rounded-fields button
{
    -webkit-border-radius: 3px;
    -moz-border-radius: 3px;
    border-radius: 3px;
}
select
{
    padding: 5px;
    border: 1px solid #007947;
    color: #333;
    font-size: 13px;
}
select:hover
{
    border: 1px solid #00BCF2;
}
/* date fields */
input[type=text].datepicker
{
    /*width:75px;*/
    text-align:right;
    }

/* value fields like height & weight */
input[type=text].textvalue 
{
    width:50px;
    text-align:right;
    }
input[type=text].textvalueDisabled
{
    width:50px;
    background:#dedbde;
    text-align:right;
    }
input[type=text].textDisabled,select.textDisabled
{
    background:#dedbde;
    }
    
 input[type="checkbox"], input[type="radio"]
{ 
    margin-right: 5px; 
}

.RadComboBox table {
    height: 38px;
}

.RadGrid_MetroTouch td.rgSorted {
    background-color: inherit !important;
    /*border-color: inherit !important;*/
}
.RadGrid_MetroTouch th.rgSorted {
    background-color: #007947 !important;
}